rsgain(1)

NAME
rsgain - ReplayGain 2.0 loudness normalizer

SYNOPSIS
rsgain [OPTIONS] <command> ...

DESCRIPTION
rsgain (really simple gain) is a ReplayGain 2.0 command-line utility.

It applies loudness metadata tags to audio and video files while leaving the audio stream untouched.

A ReplayGain-compatible player will dynamically adjust the volume of your tagged files during playback.

rsgain supports writing tags to the following file types:
  - AIFF (.aiff, .aif, .snd)
  - APE (.ape)
  - FLAC (.flac)
  - MP2 (.mp2)
  - MP3 (.mp3)
  - MP4 (.m4a)
  - Musepack (.mpc)
  - Ogg (.ogg, .oga, .spx)
  - Opus (.opus)
  - TAK (.tak)
  - WAV (.wav)
  - WavPack (.wv)
  - WMA (.wma).

  OPTIONS AND COMMANDS

-h, --help
    Show help.

-v, --version
    Show version number.

easy
    Easy Mode:
    Recursively scan a directory with recommended settings.

custom
    Custom Mode:
    Scan individual files with custom settings.

Run rsgain easy --help or rsgain custom --help for more information.

EASY MODE
Usage: rsgain easy [OPTIONS] DIRECTORY

Easy Mode recursively scans a directory using the recommended settings for each file type.

Easy Mode assumes that you have your music library organized with each album in its own folder.

  OPTIONS

-h, --help
    Show help.

-q, --quiet
    Don't print scanning status messages.

-S, --skip-existing
    Don't scan files with existing ReplayGain information.

-m n, --multithread=n
    Scan files with n parallel threads.

-p s, --preset=s
    Load scan preset s.

-O, --output
    Output tab-delimited scan data to CSV file per directory.

-O s, --output=s
    Output with sep header (needed for Microsoft Excel compatibility).

-O a, --output=a
    Output with files sorted in alphanumeric order.

CUSTOM MODE
Usage: rsgain custom [OPTIONS] FILES...

Custom Mode allows the user to specify the options to scan files with.

The list of files to scan must be listed explicitly after the options.

  OPTIONS

-h, --help
    Show help.

-a, --album
    Calculate album gain and peak.

-S, --skip-existing
    Don't scan files with existing ReplayGain information.

-s s, --tagmode=s
    Scan files but don't write ReplayGain tags (default).

-s d, --tagmode=d
    Delete ReplayGain tags from files.

-s i, --tagmode=i
    Scan and write ReplayGain 2.0 tags to files.

-l n, --loudness=n
    Use n LUFS as target loudness (-30 ≤ n ≤ -5).

-c n, --clip-mode=n
    No clipping protection (default).

-c p, --clip-mode=p
    Clipping protection enabled for positive-gain values only.

-c a, --clip-mode=a
    Clipping protection always enabled.

-m n, --max-peak=n
    Use max peak level n dB for clipping protection.

-t, --true-peak
    Use true peak for peak calculations.

-L, --lowercase
    Write lowercase tags (MP2/MP3/MP4/WMA/WAV/AIFF).
    This is non-standard but sometimes needed.

-I keep, --id3v2-version=keep
    Keep file's existing ID3v2 version, 3 if none exists (default).

-I 3, --id3v2-version=3
    Write ID3v2.3 tags to MP2/MP3/WAV/AIFF.

-I 4, --id3v2-version=4
    Write ID3v2.4 tags to MP2/MP3/WAV/AIFF.

-o d, --opus-mode=d
    Write standard ReplayGain tags, clear header output gain (default).

-o r, --opus-mode=r
    Write R128_*_GAIN tags, clear header output gain.

-o s, --opus-mode=s
    Same as 'r', plus override target loudness to -23 LUFS.

-o t, --opus-mode=t
    Write track gain to header output gain.

-o a, --opus-mode=a
    Write album gain to header output gain.

-O, --output
    Output tab-delimited scan data to stdout.

-O s, --output=s
    Output with sep header (needed for Microsoft Excel compatibility).

-O a, --output=a
    Output with files sorted in alphanumeric order.

-p, --preserve-mtimes
    Preserve file mtimes.

-q, --quiet
    Don't print scanning status messages.

BUGS
rsgain is maintained on GitHub. Please report all bugs to the issue tracker at https://github.com/complexlogic/rsgain/issues.

COPYRIGHT
Copyright (C) 2023 Hugh McMaster

rsgain is released under the BSD-2-Clause licence.